Categories:
  - Connectivity
  - Security
License: Apache-2.0
AuthorName: Anton Tananaev
AuthorEmail: anton.tananaev@gmail.com
SourceCode: https://github.com/tananaev/passport-reader
IssueTracker: https://github.com/tananaev/passport-reader/issues

AutoName: e-Passport Reader
Description: |-
    Android app that uses the NFC chip to communicate with an electronic passport.
    It supports action, so third party apps can use it to retrieve passport data.
    Please visit website for more information.
    The app is completely open source, so anyone is welcome to validate that it
    doesn't collect any personal information. Data is kept only in memory and
    removed as soon as you close the app. Passport data is never uploaded to any
    remote server.
    App had been successfully tested with Russian passport. It might not work
    with some other passports. If it doesn't work, please create GitHub issue to
    help me fix the issue instead of leaving negative feedback.

RepoType: git
Repo: https://github.com/tananaev/passport-reader

Builds:
  - versionName: '2.1'
    versionCode: 16
    commit: v2.1
    subdir: app
    gradle:
      - yes
    scanignore:
      - app/src/main/assets/masterList
    ndk: r21d

  - versionName: '2.3'
    versionCode: 18
    commit: v2.3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    scanignore:
      - app/src/main/assets/masterList
    ndk: r23b

MaintainerNotes: masterList is a bundle of x509 certificates the scanner otherwise
    blocks

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: '2.3'
CurrentVersionCode: 18
